Bug 866996 - repo copy has a -d/--details option that doesn't seem to be working
repo copy has a -d/--details option that doesn't seem to be working
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
2.0.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Sprint 42
Assigned To: Jay Dobies
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-16 09:56 EDT by Preethi Thomas
Modified: 2013-09-09 12:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-09 12:07:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2012-10-16 09:56:49 EDT
Description of problem:

see the -d/--details option available with repo copy

[root@pulp-master ~]# pulp-admin rpm repo copy rpm --help
Command: rpm
Description: copy RPMs from one repository to another

Available Arguments:

  --filters          - filters provided as JSON in mongo syntax. This will
                       override any options specified from the 'Filters' section
                       below.
  --after, -a        - matches units added to the source repository on or after
                       the given time; specified as a timestamp in iso8601
                       format
  --before, -b       - matches units added to the source repository on or before
                       the given time; specified as a timestamp in iso8601
                       format
  --details, -d      - show association details
  --from-repo-id, -f - (required) source repository from which units will be
                       copied
  --to-repo-id, -t   - (required) destination repository to copy units into


Version-Release number of selected component (if applicable):

[root@pulp-master ~]# rpm -q pulp-rpm-server
pulp-rpm-server-0.0.331-1.fc17.noarch
[root@pulp-master ~]# 



How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jay Dobies 2012-12-05 15:27:48 EST
Git Commit to Pulp: 5da64921b7be6e0ef5b09e6c82cbf63cf7e4b262

This will cover it for all copy commands, both rpm and puppet.
Comment 2 Jay Dobies 2012-12-07 09:06:45 EST
Fixed in the 0.12 beta.
Comment 3 Preethi Thomas 2012-12-10 21:53:22 EST
[root@preethi-el6-pulp ~]# rpm -q pulp-serverpulp-server-2.0.6-0.14.beta.noarch
[root@preethi-el6-pulp ~]# 


[root@preethi-el6-pulp ~]# pulp-admin rpm repo copy rpm --help
Command: rpm
Description: copy RPMs from one repository to another

Available Arguments:

  --filters          - filters provided as JSON in mongo syntax. This will
                       override any options specified from the 'Filters' section
                       below.
  --after, -a        - matches units added to the source repository on or after
                       the given time; specified as a timestamp in iso8601
                       format
  --before, -b       - matches units added to the source repository on or before
                       the given time; specified as a timestamp in iso8601
                       format
  --from-repo-id, -f - (required) source repository from which units will be
                       copied
  --to-repo-id, -t   - (required) destination repository to copy units into
  --recursive, -r    - resolve recursive dependencies and copy them to the
                       destination repository

root@preethi-el6-pulp ~]# pulp-admin puppet repo copy --help
Command: copy
Description: copies modules from one repository into another

Available Arguments:

  --filters          - filters provided as JSON in mongo syntax. This will
                       override any options specified from the 'Filters' section
                       below.
  --after, -a        - matches units added to the source repository on or after
                       the given time; specified as a timestamp in iso8601
                       format
  --before, -b       - matches units added to the source repository on or before
                       the given time; specified as a timestamp in iso8601
                       format
  --from-repo-id, -f - (required) source repository from which units will be
                       copied
  --to-repo-id, -t   - (required) destination repository to copy units into
  --recursive, -r    - resolve recursive dependencies and copy them to the
                       destination repository

Filters
Comment 4 Preethi Thomas 2013-01-09 12:07:16 EST
Pulp v2.0 released

Note You need to log in before you can comment on or make changes to this bug.